# Download the data package from mga https://cdimage.debian.org/mirror/mageia/distrib/cauldron/SRPMS/core/release/?C=M;O=D
Name:           xonotic
Version:        0.8.6
Release:        %mkrel 1
Summary:        A free multi-player first person shooter
Group:          Games/Shooter
License:        GPLv2+
Url:            http://www.xonotic.org
Source0:        %{name}-%{version}.tar.xz
Source1:        prepare-source.sh

BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xxf86dga)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

Requires:       %{name}-data >= %{version}

%description
Xonotic is a free (GPL), fast-paced first-person shooter that works on
Microsoft Windows, Mac OSX and Linux.

Xonotic is a direct successor of the Nexuiz Project.

It features much better quality graphics and visual effects.

Xonotic places focus on community involvement as its principal driving force
and structures itself to respect that. The aim of Xonotic is to become the
best possible open-source FPS (first-person-shooter) of its kind.

%prep
%setup -q


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
%make_build -C source/darkplaces sv-release cl-release sdl-release \
      CPUOPTIMIZATIONS="%{optflags}" STRIP=: \
      DP_FS_BASEDIR=%{_gamesdatadir}/%{name}

%install
install -D -m755 source/darkplaces/darkplaces-dedicated %{buildroot}%{_gamesbindir}/%{name}-dedicated
install -D -m755 source/darkplaces/darkplaces-sdl %{buildroot}%{_gamesbindir}/%{name}-sdl
install -D -m755 source/darkplaces/darkplaces-glx %{buildroot}%{_gamesbindir}/%{name}-glx

for size in 16 32 64 128; do
  install -D -m644 misc/logos/icons_png/%{name}_${size}.png \
          %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done
install -D -m644 misc/logos/%{name}_icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}-sdl.desktop << EOF
[Desktop Entry]
Name=Xonotic-SDL
Comment=Multi-player first person shooter (SDL)
Exec=%{name}-sdl
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/%{name}-glx.desktop << EOF
[Desktop Entry]
Name=Xonotic-GLX
Comment=Multi-player first person shooter (GLX)
Exec=%{name}-glx
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Shooter;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

%files
%{_gamesbindir}/%{name}-dedicated
%{_gamesbindir}/%{name}-sdl
%{_gamesbindir}/%{name}-glx
%{_datadir}/applications/%{name}-sdl.desktop
%{_datadir}/applications/%{name}-glx.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Thu Oct 12 2023 Hunter <hunter2k1@disroot.org> - 0.8.6-1pclos2023
- Version 0.8.6

* Fri Jul 01 2022 tex - 0.8.5-1pclos2022
- Version 0.8.5
